AdvisorComponentDefinition (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.aop.config

## Class AdvisorComponentDefinition

- java.lang.Object
- - org.springframework.beans.factory.parsing.AbstractComponentDefinition
  - - org.springframework.aop.config.AdvisorComponentDefinition

- All Implemented Interfaces:
    BeanMetadataElement, ComponentDefinition

      public class AdvisorComponentDefinition
      extends AbstractComponentDefinition

  `ComponentDefinition` that bridges the gap between the advisor bean definition configured by the `&lt;aop:advisor&gt;` tag and the component definition infrastructure.
  Since:
    2.0
  Author:
    Rob Harrop, Juergen Hoeller

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdvisorComponentDefinition(String advisorBeanName, BeanDefinition advisorDefinition)`
    `AdvisorComponentDefinition(String advisorBeanName, BeanDefinition advisorDefinition, BeanDefinition pointcutDefinition)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `BeanDefinition[]` | `getBeanDefinitions()` Returns an empty array.
    `BeanReference[]` | `getBeanReferences()` Returns an empty array.
    `String` | `getDescription()` Delegates to `ComponentDefinition.getName()`.
    `String` | `getName()` Get the user-visible name of this `ComponentDefinition`.
    `Object` | `getSource()` Return the configuration source `Object` for this metadata element (may be `null`).

    - ### Methods inherited from class org.springframework.beans.factory.parsing.AbstractComponentDefinition

      `getInnerBeanDefinitions, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AdvisorComponentDefinition

          public AdvisorComponentDefinition(String advisorBeanName,
                                    BeanDefinition advisorDefinition)

    - #### AdvisorComponentDefinition

          public AdvisorComponentDefinition(String advisorBeanName,
                                    BeanDefinition advisorDefinition,
                                    BeanDefinition pointcutDefinition)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `ComponentDefinition`
      Get the user-visible name of this `ComponentDefinition`.

      This should link back directly to the corresponding configuration data for this component in a given context.

    - #### getDescription

          public String getDescription()

      Description copied from class: `AbstractComponentDefinition`
      Delegates to `ComponentDefinition.getName()`.
      Specified by:
        `getDescription` in interface `ComponentDefinition`
      Overrides:
        `getDescription` in class `AbstractComponentDefinition`

    - #### getBeanDefinitions

          public BeanDefinition[] getBeanDefinitions()

      Description copied from class: `AbstractComponentDefinition`
      Returns an empty array.
      Specified by:
        `getBeanDefinitions` in interface `ComponentDefinition`
      Overrides:
        `getBeanDefinitions` in class `AbstractComponentDefinition`
      Returns:
        the array of BeanDefinitions, or an empty array if none

    - #### getBeanReferences

          public BeanReference[] getBeanReferences()

      Description copied from class: `AbstractComponentDefinition`
      Returns an empty array.
      Specified by:
        `getBeanReferences` in interface `ComponentDefinition`
      Overrides:
        `getBeanReferences` in class `AbstractComponentDefinition`
      Returns:
        the array of BeanReferences, or an empty array if none

    - #### getSource

          public Object getSource()

      Description copied from interface: `BeanMetadataElement`
      Return the configuration source `Object` for this metadata element (may be `null`).